Gtk2::SourceView2::StyleSchemeManager(3)

NAME
Gtk2::SourceView2::StyleSchemeManager

HIERARCHY
  Glib::Object
  +----Gtk2::SourceView2::StyleSchemeManager

METHODS

  styleschememanager = Gtk2::SourceView2::StyleSchemeManager->new

  $manager->append_search_path ($path)

•   $path (string)

  styleschememanager = Gtk2::SourceView2::StyleSchemeManager->get_default

  $manager->force_rescan

  $manager->prepend_search_path ($path)

•   $path (string)

  stylescheme = $manager->get_scheme ($scheme_id)

•   $scheme_id (string)

  list = $manager->get_scheme_ids

  list = $manager->get_search_path

  $manager->set_search_path (...)

•   ... (list)

Sets the list of directories where the manager looks for style scheme files. If no dirs are given (empty list) then the search path is cleared, if "undef" is passed then the search path is reset to default.

PROPERTIES

'scheme-ids' (Glib::Strv : default undef : readable)
    List of the ids of the available style schemes

'search-path' (Glib::Strv : default undef : readable / writable)
    List of directories and files where the style schemes are located

SEE ALSO
Gtk2::SourceView2, Glib::Object

COPYRIGHT
Copyright (C) 2009 by Emmanuel Rodriguez